Bug 1494089 - Review Request: WoeUSB - Windows USB installation media creator
Summary: Review Request: WoeUSB - Windows USB installation media creator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 12:49 UTC by Matt Prahl
Modified: 2017-10-06 02:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-30 06:55:33 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Matt Prahl 2017-09-21 12:49:02 UTC
Spec URL: https://mprahl.fedorapeople.org/WoeUSB.spec
SRPM URL: https://mprahl.fedorapeople.org/WoeUSB-2.1.3-1.fc26.src.rpm
Description: A utility that enables you to create your own bootable Windows installation USB storage device from an existing Windows Installation disc or disk image.
Fedora Account System Username: mprahl

Comment 1 Robert-André Mauchin 🐧 2017-09-21 16:02:24 UTC
Hello,


 - Use a more meaningful name for your archive, with:

Source0:        https://github.com/slacka/WoeUSB/archive/v%{version}/%{name}-%{version}.tar.gz

 - rm -rf $RPM_BUILD_ROOT should *not* be run at the beginning of %install (or elsewhere).

 - why do you exclude the gui?

 - The %changelog must contain the version:

* Wed Sep 20 2017 Matt Prahl <mprahl@redhat.com> - 2.1.3-1

 - Rpmlint error:

WoeUSB.x86_64: E: wrong-script-interpreter /usr/bin/woeusb /usr/bin/env bash

Please patch it in the SPEC with sed in %install:

sed -i '1!b;s/env bash/bash/' %{buildroot}%{_bindir}/woeusb


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "MIT/X11 (BSD like)", "*No copyright* GPL (v3 or later)",
     "GPL (v3 or later) (with incorrect FSF address)". 71 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/WoeUSB/review-WoeUSB/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: WoeUSB-2.1.3-1.fc28.x86_64.rpm
          WoeUSB-2.1.3-1.fc28.src.rpm
WoeUSB.x86_64: W: spelling-error %description -l en_US bootable -> bookable, boo table, boo-table
WoeUSB.x86_64: W: no-version-in-last-changelog
WoeUSB.x86_64: E: no-binary
WoeUSB.x86_64: W: only-non-binary-in-usr-lib
WoeUSB.x86_64: E: wrong-script-interpreter /usr/bin/woeusb /usr/bin/env bash
WoeUSB.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/4a/6d22882e5500cd05c94f0e3b04f45f4299622d ../../../../usr/bin/woeusbgui
WoeUSB.src: W: spelling-error %description -l en_US bootable -> bookable, boo table, boo-table
WoeUSB.src: W: no-version-in-last-changelog
2 packages and 0 specfiles checked; 2 errors, 6 warnings.

Comment 2 Matt Prahl 2017-09-21 23:52:13 UTC
(In reply to Robert-André Mauchin from comment #1)
> Hello,
> 
> 
>  - Use a more meaningful name for your archive, with:
> 
> Source0:       
> https://github.com/slacka/WoeUSB/archive/v%{version}/%{name}-%{version}.tar.
> gz
> 
>  - rm -rf $RPM_BUILD_ROOT should *not* be run at the beginning of %install
> (or elsewhere).
> 
>  - why do you exclude the gui?
> 
>  - The %changelog must contain the version:
> 
> * Wed Sep 20 2017 Matt Prahl <mprahl@redhat.com> - 2.1.3-1
> 
>  - Rpmlint error:
> 
> WoeUSB.x86_64: E: wrong-script-interpreter /usr/bin/woeusb /usr/bin/env bash
> 
> Please patch it in the SPEC with sed in %install:
> 
> sed -i '1!b;s/env bash/bash/' %{buildroot}%{_bindir}/woeusb
> 
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
>      generated", "MIT/X11 (BSD like)", "*No copyright* GPL (v3 or later)",
>      "GPL (v3 or later) (with incorrect FSF address)". 71 files have
>      unknown license. Detailed output of licensecheck in
>      /home/bob/packaging/review/WoeUSB/review-WoeUSB/licensecheck.txt
> [x]: Package does not own files or directories owned by other packages.
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [-]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 0 bytes in 0 files.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [?]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see
>      attached diff).
>      See: (this test has no URL)
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
> [x]: Package should not use obsolete m4 macros
> 
> 
> Rpmlint
> -------
> Checking: WoeUSB-2.1.3-1.fc28.x86_64.rpm
>           WoeUSB-2.1.3-1.fc28.src.rpm
> WoeUSB.x86_64: W: spelling-error %description -l en_US bootable -> bookable,
> boo table, boo-table
> WoeUSB.x86_64: W: no-version-in-last-changelog
> WoeUSB.x86_64: E: no-binary
> WoeUSB.x86_64: W: only-non-binary-in-usr-lib
> WoeUSB.x86_64: E: wrong-script-interpreter /usr/bin/woeusb /usr/bin/env bash
> WoeUSB.x86_64: W: dangling-relative-symlink
> /usr/lib/.build-id/4a/6d22882e5500cd05c94f0e3b04f45f4299622d
> ../../../../usr/bin/woeusbgui
> WoeUSB.src: W: spelling-error %description -l en_US bootable -> bookable,
> boo table, boo-table
> WoeUSB.src: W: no-version-in-last-changelog
> 2 packages and 0 specfiles checked; 2 errors, 6 warnings.

Thanks for the review and the feedback! I think I've addressed your concerns and I also reenabled the GUI functionality.

Comment 3 Robert-André Mauchin 🐧 2017-09-22 11:30:47 UTC
 - Since you've re-enabled the gui, you must validate the .desktop file irstalled with it. See https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

desktop-file-validate %{buildroot}/%{_datadir}/applications/woeusbgui.desktop

Comment 4 Matt Prahl 2017-09-22 12:49:54 UTC
Thanks again for the review. I've updated the spec file with that change.

Comment 5 Robert-André Mauchin 🐧 2017-09-22 13:50:30 UTC
All good, package accepted.

Comment 6 Gwyn Ciesla 2017-09-22 14:07:43 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/WoeUSB. You may commit to the branch "f26" in about 10 minutes.

Comment 7 Fedora Update System 2017-09-23 01:03:09 UTC
WoeUSB-2.1.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64d2dcb322

Comment 8 Fedora Update System 2017-09-23 20:22:49 UTC
WoeUSB-2.1.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-09-25 13:03:49 UTC
WoeUSB-2.1.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca16d64c05

Comment 10 Fedora Update System 2017-09-25 13:03:55 UTC
WoeUSB-2.1.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-69b1f9cb32

Comment 11 Fedora Update System 2017-09-25 16:23:52 UTC
WoeUSB-2.1.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-69b1f9cb32

Comment 12 Fedora Update System 2017-09-27 07:01:16 UTC
WoeUSB-2.1.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca16d64c05

Comment 13 Fedora Update System 2017-09-30 06:55:33 UTC
WoeUSB-2.1.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-10-06 02:21:56 UTC
WoeUSB-2.1.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.